{-# LANGUAGE OverloadedStrings #-}
module Main where

import qualified Database.SQLite.Simple as Db
import qualified Web.Spock.Safe as S hiding (head)
import Within.DBMemorial.Post

main :: IO ()
main = do
    conn <- Db.open "../db/posts.db"

    -- Simple tests to prove we're reading from SQLite
    r <- Db.query_ conn "SELECT * FROM Posts WHERE page=1" :: IO [Post]
    let h = head r

    -- Set up the URL router
    S.runSpock 5000 $ S.spockT id $ do
         S.get S.root $
           S.text $ postBody h
